Groovy Documentation

## grails.doc.filters
[Groovy] Class LinkTestFilter

    java.lang.Object
      org.radeox.filter.regex.RegexTokenFilter
          grails.doc.filters.LinkTestFilter

    class LinkTestFilter
    extends RegexTokenFilter

Authors:
  Graeme Rocher

Since:
  1.1

Constructor Summary
`LinkTestFilter()`

Method Summary
`protected java.lang.String` | `getWikiView(java.lang.String name)` Returns the view of the wiki name that is shown to the user.
`void` | `handleMatch(java.lang.StringBuffer buffer, MatchResult result, FilterContext context)`

Constructor Detail

### LinkTestFilter

    LinkTestFilter()

Method Detail

### getWikiView

    protected java.lang.String getWikiView(java.lang.String name)

  Returns the view of the wiki name that is shown to the user. Overwrite to support other views for example transform "WikiLinking" to "Wiki Linking". Does nothing by default.
  Returns:
    view The view of the wiki name

### handleMatch

    void handleMatch(java.lang.StringBuffer buffer, MatchResult result, FilterContext context)

Groovy Documentation